# CraftPresence

## [v2.4.7](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.4.7) (2022-07-21)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.4.6...v2.4.7) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Refactor] More preliminary refactors   
    - Fixed documentation for `GetFlavorTOC` and `GetCompatibilityInfo`  
    - Added a `tocOverride` parameter to `ShouldProcessData`, allowing testing against non-current TOC versions  
- [Refactor] More data changes relating to Compatibility Info  
    - Added a third `shouldAccept` parameter to `ShouldProcessData`. This was previously a local variable, but will be used in upcoming commits.  
    - Removed `IsClassicEraBetaBuild` as this branch no longer exists in the game, nor was classified as a valid flavor.  
- [Fix] Undo accidental early change to `IsSpecialVersion`  
- [Change] Added Support for 1.12.0 and 1.16.0 Clients  
    - 1.12.0 was meant to always be supported, but used to be 1.12.1 -- my bad!  
    - 1.16.0 was announced earlier in the year as TurtleWow's next release, so we're classing it as a special version early to prep support.  
- [Refactor] Added additional info to `GetFlavorInfo`  
    - Old usages now moved to a new helper function: `GetFlavorTOC(key)`  
    - `VersionToBuild` now accepts a `terminator` value that when specified, will signal when to stop the split of the version.  
    - Updated Ace3 with support for 1.12.2 and 1.12.3 Clients  
- [Fix] Adjusted README metadata for WOTLKC  
    - Removed the TBD section to state compatibility as OK  
